<template>
  <!--The home page contains the QuestionList, the QuestionAdd and the Document preview.
      Depending what kind of device (tablet, desktop, mobile) is used to run PhysioForm, 
      the layout of the page can change its view.-->
  <div>
    <AppHeader />
    <v-container fluid class="home">
      <v-row v-if="$vuetify.breakpoint.lgAndUp">
        <v-col class="py-0 pl-0 pr-3" cols="6">
          <DocumentPreview />
        </v-col>
        <v-col class="pa-0" cols="6">
          <QuestionList :style="getDisplayValue(true)" class="scroll-list" />
          <QuestionAdd :style="getDisplayValue(false)" />
        </v-col>
      </v-row>

      <div v-else>
        <QuestionList :style="getDisplayValue(true)" class="scroll-list" />
        <DocumentPreview :style="getDisplayValue(true)" />
        <QuestionAdd :style="getDisplayValue(false)" />
      </div>

      <ButtonsBlock v-if="$vuetify.breakpoint.xs" />
    </v-container>
  </div>
</template>

<script>
  // @ is an alias to /src
  import QuestionList from "../components/QuestionList";
  import ButtonsBlock from "../components/ButtonsBlock";
  import QuestionAdd from "../components/QuestionAdd";
  import DocumentPreview from "../components/DocumentPreview";
  import AppHeader from "../components/AppHeader";

  //Home uses the ButtonsBlock, QuestionList, QuestionAdd and the DocumentPreview components.
export default {
  name: "Home",
  components: {
    ButtonsBlock,
    QuestionList,
    QuestionAdd,
    DocumentPreview,
    AppHeader
  },
  methods: {
    //this method finds out what kind of device is running PhysioForm and return its value.
    getDisplayValue: function(displayOn) {
      return (
        "display: " +
        (this.showQuestionList
          ? displayOn
            ? "block;"
            : "none;"
          : displayOn
          ? "none;"
          : "block;")
      );
    }
  },
  computed: {
    //this calls the getter from the store to get the boolean showQuestionList.
    showQuestionList: function() {
      return this.$store.getters.getShowQuestionList;
    }
  }
};
</script>

<style scoped>
.home {
  padding-top: 0;
  padding-bottom: 0;
}
</style>
